# Execute Test Case

**Execute TestCase** method executes all the test cases of particular functionality. Similar to ExecuteWorkflow this method is used to include functionality within another functionality.

**Syntax**:

**executeTestCase(workFlowName, testDataRef)**

| Name             | Type   | Description                           |
| ---------------- | ------ | ------------------------------------- |
| **workFlowName** | String | Enter the functionalty name           |
| **testDataRef**  | String | Enter the name of the Product Element |

**Video:**

{% embed url="<https://www.youtube.com/watch?t=140s&v=Zi5rN29diC4>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/master-1/standard-actions-methods/execute-test-case.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
